Alembic: Alembic::AbcGeom::ALEMBIC_VERSION_NS::ONuPatchSchema::Sample Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::ONuPatchSchema::Sample Class Reference

## Public Member Functions
| Sample ()
| Sample (const Abc::P3fArraySample &iPos, const int32_t &iNumU, const int32_t &iNumV, const int32_t &iUOrder, const int32_t &iVOrder, const Abc::FloatArraySample &iUKnot, const Abc::FloatArraySample &iVKnot, const ON3fGeomParam::Sample &iNormals=ON3fGeomParam::Sample(), const OV2fGeomParam::Sample &iUVs=OV2fGeomParam::Sample(), const Abc::FloatArraySample &iPosWeight=Abc::FloatArraySample())
const Abc::P3fArraySample & | getPositions () const
void | setPositions (const Abc::P3fArraySample &iSmp)
const Abc::FloatArraySample & | getPositionWeights () const
void | setPositionWeights (const Abc::FloatArraySample &iSmp)
int32_t | getNu () const
void | setNu (const int32_t iNu)
int32_t | getNv () const
void | setNv (const int32_t iNv)
int32_t | getUOrder () const
void | setUOrder (const int32_t iUOrder)
int32_t | getVOrder () const
void | setVOrder (const int32_t iVOrder)
const Abc::FloatArraySample & | getUKnot () const
void | setUKnot (const Abc::FloatArraySample &iUKnot)
const Abc::FloatArraySample & | getVKnot () const
void | setVKnot (const Abc::FloatArraySample &iVKnot)
const OV2fGeomParam::Sample & | getUVs () const
void | setUVs (const OV2fGeomParam::Sample &iUVs)
const ON3fGeomParam::Sample & | getNormals () const
void | setNormals (const ON3fGeomParam::Sample &iNormals)
const Abc::Box3d & | getSelfBounds () const
void | setSelfBounds (const Abc::Box3d &iBnds)
const Abc::V3fArraySample & | getVelocities () const
void | setVelocities (const Abc::V3fArraySample &iVelocities)
void | setTrimCurve (const int32_t i_trim_nLoops, const Abc::Int32ArraySample &i_trim_nCurves, const Abc::Int32ArraySample &i_trim_n, const Abc::Int32ArraySample &i_trim_order, const Abc::FloatArraySample &i_trim_knot, const Abc::FloatArraySample &i_trim_min, const Abc::FloatArraySample &i_trim_max, const Abc::FloatArraySample &i_trim_u, const Abc::FloatArraySample &i_trim_v, const Abc::FloatArraySample &i_trim_w)
int32_t | getTrimNumLoops () const
const Abc::Int32ArraySample & | getTrimNumCurves () const
const Abc::Int32ArraySample & | getTrimNumVertices () const
const Abc::Int32ArraySample & | getTrimOrder () const
const Abc::FloatArraySample & | getTrimKnot () const
const Abc::FloatArraySample & | getTrimMin () const
const Abc::FloatArraySample & | getTrimMax () const
const Abc::FloatArraySample & | getTrimU () const
const Abc::FloatArraySample & | getTrimV () const
const Abc::FloatArraySample & | getTrimW () const
bool | hasTrimCurve () const
void | reset ()
bool | isPartialSample () const
bool | hasKnotSampleData () const

## Protected Attributes
Abc::P3fArraySample | m_positions
Abc::V3fArraySample | m_velocities
int32_t | m_numU
int32_t | m_numV
int32_t | m_uOrder
int32_t | m_vOrder
Abc::FloatArraySample | m_uKnot
Abc::FloatArraySample | m_vKnot
Abc::FloatArraySample | m_positionWeights
ON3fGeomParam::Sample | m_normals
OV2fGeomParam::Sample | m_uvs
int32_t | m_trimNumLoops
Abc::Int32ArraySample | m_trimNumCurves
Abc::Int32ArraySample | m_trimNumVertices
Abc::Int32ArraySample | m_trimOrder
Abc::FloatArraySample | m_trimKnot
Abc::FloatArraySample | m_trimMin
Abc::FloatArraySample | m_trimMax
Abc::FloatArraySample | m_trimU
Abc::FloatArraySample | m_trimV
Abc::FloatArraySample | m_trimW
bool | m_hasTrimCurve
Abc::Box3d | m_selfBounds

## Constructor & Destructor Documentation

## ◆ Sample()

Alembic::AbcGeom::ALEMBIC_VERSION_NS::ONuPatchSchema::Sample::Sample | ( |  | ) |
| inline

Creates a default sample with no data in it. ...

The documentation for this class was generated from the following file:

- AbcGeom/ONuPatch.h